tinano_generator 0.1.1

This library can be included as a dev-dependency, as it does not contain any meaningful features for your app. For more information on this library, go check out the tinano library.

[0.1.0] - First public release

  • Initial release of tinano

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  tinano_generator: ^0.1.1

2. Install it

You can install packages from the command line:

with pub:


$ pub get

Alternatively, your editor might support pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:tinano_generator/generator/builder.dart';
import 'package:tinano_generator/generator/generation_context.dart';
import 'package:tinano_generator/generator/generator.dart';
import 'package:tinano_generator/models/custom_types.dart';
import 'package:tinano_generator/models/database.dart';
import 'package:tinano_generator/models/operation.dart';
import 'package:tinano_generator/parser/build_method_parser.dart';
import 'package:tinano_generator/parser/database_parser.dart';
import 'package:tinano_generator/parser/operation_method_parser.dart';
import 'package:tinano_generator/parser/row_parser.dart';
import 'package:tinano_generator/parser/sql_variable_analyzer.dart';
import 'package:tinano_generator/utils.dart';
import 'package:tinano_generator/utils/type_utils.dart';
import 'package:tinano_generator/writer/database_writer.dart';
import 'package:tinano_generator/writer/operations/operations_writer.dart';
import 'package:tinano_generator/writer/operations/reading_result_transformation.dart';
import 'package:tinano_generator/writer/operations/single_row_transformation_writer.dart';
import 'package:tinano_generator/writer/operations/statement_execution_writer.dart';
import 'package:tinano_generator/writer/operations/variable_binding_writer.dart';
import 'package:tinano_generator/writer/operations/writing_result_transformation.dart';
import 'package:tinano_generator/writer/static_function_writer.dart';
import 'package:tinano_generator/writer/writer.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
22
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
50
Overall:
Weighted score of the above. [more]
51
Learn more about scoring.

We analyzed this package on Aug 21, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.4.0
  • pana: 0.12.19

Platforms

Detected platforms: other

Platform components identified in package: build, io, isolate, mirrors.

Maintenance issues and suggestions

Support latest dependencies. (-40 points)

The version constraint in pubspec.yaml does not support the latest published versions for 4 dependencies (analyzer, build, build_config, source_gen).

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package.

Common filename patterns include main.dart, example.dart, and tinano_generator.dart. Packages with multiple examples should provide example/README.md.

For more information see the pub package layout conventions.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0 <3.0.0
analyzer ^0.32.0 0.32.6 0.38.1
build ^1.0.0 1.1.0 1.1.6
build_config ^0.3.1+3 0.3.2 0.4.1+1
code_builder ^3.1.3 3.2.0
collection ^1.14.11 1.14.12
meta ^1.1.6 1.1.7
source_gen ^0.9.1+3 0.9.1+3 0.9.4+4
Transitive dependencies
args 1.5.2
async 2.3.0
built_collection 4.2.2
built_value 6.7.0
charcode 1.1.2
checked_yaml 1.0.2
convert 2.1.1
crypto 2.1.2
csslib 0.16.1
dart_style 1.1.3 1.2.10
fixnum 0.10.9
front_end 0.1.4+2 0.1.23
glob 1.1.7
html 0.14.0+2
json_annotation 2.4.0 3.0.0
kernel 0.3.4+2 0.3.23
logging 0.11.3+2
matcher 0.12.5
package_config 1.1.0
path 1.6.4
pedantic 1.8.0+1
plugin 0.2.0+3
pub_semver 1.4.2
pubspec_parse 0.1.5
quiver 2.0.5
source_span 1.5.5
stack_trace 1.9.3
string_scanner 1.0.5
term_glyph 1.1.0
typed_data 1.1.6
watcher 0.9.7+12
yaml 2.1.16
Dev dependencies
test ^1.0.0